<?php
$numberOfWords = 12;
$defaultDescription = true;
$defaultDescriptionTextAlign = 'center';
$defaultDescriptionColor = 'rgb(117, 117, 117)';
$defaultDescriptionHoverColor = 'rgb(117, 117, 117)';
$defaultDescriptionMarginTop = '20';
$defaultDescriptionMarginBottom = '20';
$defaultDescriptionLineHeight = '25';
if(isset($allSlider[71])){
  $defaultDescription = false;
}
if ($allSlider[0]) {
  echo "<div class='wpm-6310-carousel'>
  <div id='wpm-6310-slider-{$ids}' class='wpm-6310-owl-carousel'>";
  if ($members) {
    foreach ($members as $value) {
      if ($value['profile_details_type'] == 1) {
        $link_type = " class='wpm_6310_team_style_{$ids} wpm_6310_team_member_info' link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
      } else if ($value['profile_details_type'] == 2) {
        $link_type = " class='wpm_6310_team_style_{$ids} wpm_6310_team_member_info' link-id='0' team-id='{$value['id']}'";
      } else {
        $link_type = " class='wpm_6310_team_style_{$ids}' link-id='0' team-id='0'";
      }
?>
      <div class="wpm-6310-item-<?php echo $ids; ?>" data-wpm-6310-image-attr="<?php echo $value['image'] ?>">
        <div <?php echo $link_type ?>>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
            <img src="<?php echo $value['image'] ?>" data-6310-hover-image="<?php echo $value['hover_image'] ?>" class="wpm-6310-img-responsive <?php echo $allStyle[5] ?>" alt="<?php echo $value['name'] ?>">
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
            <?php
                wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids);
                ?>
          </div>
        </div>
      </div>
    <?php
    }
  }
  echo "</div>
  </div>";
} else {
  if ($members) {
    wpm_6310_search_template($ids, $allSlider, $desktop_row);
    wpm_6310_category_menu($categoryData, $ids, $styledata['categoryids'], 1);
    echo "<div class='wpm-6310-row c-1588100157'>";
    foreach ($members as $value) {
      if ($value['profile_details_type'] == 1) {
        $link_type = " class='wpm_6310_team_style_{$ids} wpm_6310_team_member_info' link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
      } else if ($value['profile_details_type'] == 2) {
        $link_type = " class='wpm_6310_team_style_{$ids} wpm_6310_team_member_info' link-id='0' team-id='{$value['id']}'";
      } else {
        $link_type = " class='wpm_6310_team_style_{$ids}' link-id='0' team-id='0'";
      }
    ?>
      <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
        <div<?php echo $link_type ?>>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
            <img src="<?php echo $value['image'] ?>" data-6310-hover-image="<?php echo $value['hover_image'] ?>" class="wpm-6310-img-responsive <?php echo $allStyle[5] ?>" alt="<?php echo $value['name'] ?>">
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
            <?php
                wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids);
                ?>
          </div>
      </div>
      </div>
<?php
    }
    echo "</div>";
  }
  if($filterList){
    foreach($filterList as $filterKey => $filterValue){
      $returnMember = wpm_6310_extract_members($filterValue);
      $members = $returnMember['members'];
      if ($members) {
        echo "<div class='wpm-6310-row {$filterKey}' style='display: none'>";
        foreach ($members as $value) {
          if ($value['profile_details_type'] == 1) {
            $link_type = " class='wpm_6310_team_style_{$ids} wpm_6310_team_member_info' link-id='{$value['id']}' link-url='".wpm_6310_validate_profile_url($value['profile_url'])."' target='{$value['open_new_tab']}' team-id='0'";
          } else if ($value['profile_details_type'] == 2) {
            $link_type = " class='wpm_6310_team_style_{$ids} wpm_6310_team_member_info' link-id='0' team-id='{$value['id']}'";
          } else {
            $link_type = " class='wpm_6310_team_style_{$ids}' link-id='0' team-id='0'";
          }
        ?>
          <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
            <div<?php echo $link_type ?>>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_pic">
                <img src="<?php echo $value['image'] ?>" data-6310-hover-image="<?php echo $value['hover_image'] ?>" class="wpm-6310-img-responsive <?php echo $allStyle[5] ?>" alt="<?php echo $value['name'] ?>">
              </div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_team_content">
                <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
                <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
                <?php
                    wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
                    wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
                echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids);
                    ?>
              </div>
          </div>
          </div>
    <?php
        }
        echo "</div>";
      }
    }
  }
}
?>

<style type="text/css">
  .wpm_6310_team_style_<?php echo $ids ?> {
    text-align: center;
    overflow: hidden;
    transition: all 0.3s ease 0s;
    -webkit-border-radius: <?php echo $allStyle[2] ?>px;
    -o-border-radius: <?php echo $allStyle[2] ?>px;
    -moz-border-radius: <?php echo $allStyle[2] ?>px;
    -ms-border-radius: <?php echo $allStyle[2] ?>px;
    border-radius: <?php echo $allStyle[2] ?>px;
    border-style: solid;
    border-width: <?php echo $allStyle[3] ?>px;
    border-color: <?php echo $allStyle[4] ?>;
    box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -moz-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -o-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -webkit-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    -ms-box-shadow: 0 0 <?php echo $allStyle[9] ?>px <?php echo $allStyle[8] ?>px <?php echo $allStyle[10] ?>;
    width: 100%;
    float: left;
    background-color: <?php echo $allStyle[7] ?>;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_pic img {
    width: 100%;
    height: auto;
    float: left;
    -webkit-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    -o-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    -moz-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    -ms-border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
    border-radius: <?php echo (isset($allStyle[33]) && $allStyle[33] !== '') ? $allStyle[33] : 0 ?>%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_team_content {
    float: left;
    width: 100%;
    padding: 0 20px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_title {
    font-size: <?php echo $allStyle[11] ?>px;
    color: <?php echo $allStyle[12] ?>;
    font-weight: <?php echo $allStyle[15] ?>;
    text-transform: <?php echo $allStyle[16]; ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[17]); ?>;
    line-height: <?php echo $allStyle[18] ?>px;
    margin-top: <?php echo (isset($allSlider[41]) && $allSlider[41] !== '') ? $allSlider[41]:15;?>px;
    margin-bottom: <?php echo (isset($allSlider[42]) && $allSlider[42] !== '') ? $allSlider[42]:5;?>px;
    float: left;
    width: 100%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_designation {
    display: block;
    font-size: <?php echo $allStyle[19] ?>px;
    color: <?php echo $allStyle[20] ?>;
    font-weight: <?php echo $allStyle[21] ?>;
    text-transform: <?php echo $allStyle[22] ?>;
    font-family: <?php echo str_replace("+", " ", $allStyle[23]); ?>;
    line-height: <?php echo $allStyle[24] ?>px;
    margin-top: <?php echo (isset($allSlider[51]) && $allSlider[51] !== '') ? $allSlider[51]:0;?>px;
    margin-bottom: <?php echo (isset($allSlider[52]) && $allSlider[52] !== '') ? $allSlider[52]:10;?>px;
    float: left;
    width: 100%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover {
    box-shadow: 0 -5px <?php echo (isset($allStyle[32]) && $allStyle[32] !== '') ? $allStyle[32] : 'rgba(220, 0, 90, 0.8)' ?> inset;
    background-color: <?php echo (isset($allStyle[34]) && $allStyle[34] !== '') ? $allStyle[34] : '' ?>;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social {
    display: <?php echo (!isset($allStyle[35]) || (isset($allStyle[35]) && $allStyle[35])) ? 'block':'none'?>;
    list-style: none;
    padding: 0;
    margin: <?php echo (isset($allSlider[61]) && $allSlider[61] !== '') ? $allSlider[61]:0;?>px 0 <?php echo (isset($allSlider[62]) && $allSlider[62] !== '') ? $allSlider[62]:0;?>px;
    float: left;
    width: 100%;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li {
    display: inline-block;
    margin: 0 8px 8px 0 !important;
    padding: 0 !important;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li:last-child {
    margin-right: 0 !important;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li a {
    font-size: <?php echo ceil(($allStyle[26] + $allStyle[27]) / 4) ?>px;
    border-radius: <?php echo $allStyle[30] ?>%;
    -moz-border-radius: <?php echo $allStyle[30] ?>%;
    -webkit-border-radius: <?php echo $allStyle[30] ?>%;
    -o-border-radius: <?php echo $allStyle[30] ?>%;
    -ms-border-radius: <?php echo $allStyle[30] ?>%;
    display: block;
    transition: all 0.3s ease 0s;
  }
</style>

<?php
include wpm_6310_plugin_url . "output/common-output-file.php";
wpm6310_common_output_css($ids);
?>